use strict ;

package SchedView::IHM ;

use CGI ;

our $B = "/sched" ;
our $C = "/cgi-bin/sched" ;

my %parts = (
	     'Registred Host' => "$C/sched_list_host.cgi",
	     'Registred Job' =>  "$C/sched_list_job.cgi",
	     'Finished Job' =>   "$C/sched_list_finish_job.cgi",
	     'Groups' =>   "$C/sched_list_hostgroup.cgi",
	     ) ;

sub insert_begin
{
    my ($index) = @_ ;

    print qq
<html>
<head>
<title>Sched: Home</title>
<link rel="stylesheet" href="$B/sched.css" type="text/css" />
<link rel="stylesheet" href="$B/style.css" type="text/css" />
<link rel="icon" href="$B/img/favicon.ico" type="image/ico">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Pragma" content="no-cache"/>
</head>

<body marginheight="2" marginwidth="2" topmargin="2" bottommargin="2" 
      leftmargin="2" rightmargin="2">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>

<!-- Begin Header -->
<table border="0" cellspacing="0" cellpadding="0" bgcolor="white">
<tr><td>

<table width="800" border="0" cellspacing="0" 
       cellpadding="0" class="PageHeader">
<table background="$B/img/header2.jpg" width="800" border="0" 
       cellspacing="0" cellpadding="0" class="PageHeader">
<tr>
<td valign="center" width="1" align="left">
<img src="$B/img/pixel.png" width="5" height="50" alt="0" border="0" align="left">
</td>
<td valign="center" align="left"><a href="">
<img src="$B/img/logo1.png" alt="Sched" title="Sched" border="0"></a></td>

</tr>
</table>

</td></tr>
<tr>
<!--
<td bgcolor="black"><img SRC="$B/img/pixel.png" WIDTH="800" HEIGHT="1" 
    ALT="" BORDER="0"></td>
-->
<!--
<td background="$B/img/greydoth.png"><img SRC="$B/img/pixel.png" WIDTH="800" 
    HEIGHT="1" ALT="" BORDER="0"></td>
-->
</tr>

<!-- Header Spacer -->
<tr>
<td><img SRC="$B/img/pixel.png" WIDTH="800" HEIGHT="2" ALT="" BORDER="0"></td>
</tr>
<!-- End Header -->

</table>

<!-- Begin Main Body -->
<table width="800" border="0" cellspacing="0" cellpadding="0">
<tr>

<!-- Spacer -->
<td width="0" valign="top"><img SRC="$B/img/pixel.png" WIDTH="0" HEIGHT="1" 
    ALT="" BORDER="0"></td>

<!-- Begin NavBar -->
<td width="100" class="NavBar" valign="top" bgcolor="white">
<table border="0" cellspacing="0" cellpadding="3">

<tr>
<td>
<img src="$B/img/pixel.png" width="1" height="1">
</td>
</tr>
	 ;

    for my $elt (keys %parts) {
	my $url = $parts{$elt} ;
	my $class = ($elt eq $index)?'CurrentNavBarLink':'NavBarLink';

	print qq
<tr>
<td>
<table border="0" cellspacing="1" cellpadding="2" width="94" class="NavBarItem">
<tr>
<td width="88" class="NavBarItem">
<a href="$url" class="$class">$elt</a>
</td>
</tr>
</table>
</td>
</tr>
 ;
    }

    print qq

</table>
<br>
<br>
<br>
<br>
</td>
<!-- End NavBar -->
<!-- Spacer -->
<td width="2" valign="top"><img SRC="$B/img/pixel.png" WIDTH="2" HEIGHT="1" 
    ALT="" BORDER="0"></td>
<td width="1" background="$B/img/greydotv.png"><img SRC="$B/img/pixel.png" 
    WIDTH="1" HEIGHT="450" ALT="" BORDER="0"></td>

<!-- Spacer -->
<td width="6" valign="top">
<img SRC="$B/img/pixel.png" WIDTH="6" HEIGHT="1" ALT="" BORDER="0">
</td>

<!-- Begin Content -->
<td class="Content" valign="top">

<!-- Begin Content Spacer Table -->
<table border="0" class="Content" cellspacing="0" cellpadding="0">
<tr>
<!-- Content Height -->
<td height="450">
<img src="$B/img/pixel.png" border="0" width="1" height="450">
</td>
<td valign="top">

<!-- Begin Content Stuff -->
<table border="0" class="Content" cellspacing="0" cellpadding="0">
<tr>
<!-- Content Header Offset (Spacer) -->
<td height="10"><img SRC="$B/img/pixel.png" WIDTH="1" HEIGHT="10" 
    ALT="" BORDER="0"></td>
</tr>
<tr>
<td>

<!-- Begin ContentHeader -->
<!-- End ContentHeader -->

</td>
</tr>
<tr>
<td class="Content" valign="top">

<table border="0" class="Content" width="690" cellspacing="0" cellpadding="0">

<tr>

<!-- Begin left pane -->
<td valign="top">
<table border="0" class="Content" width='100%'>

<tr><td><br><br></td></tr>

	 ;
}

sub insert_box
{
    my ($name, $target) = @_ ;
    print "
<table border='0' cellspacing='1' cellpadding='2' 
       width='94' class='NavBarItem'>
<tr>
<td width='88' class='NavBarItem'>
<a href='$target' class='NavBarLink'>$name</a>
</td>
</tr>
</table>
" ;
}

sub insert_title
{
    my $title = shift ;
    print qq <tr><td class="TDStandard">$title</td></tr>  ;
}

sub insert_end
{

    print qq
</td></tr>

</table>
</td>
<!-- End left pane -->
<!-- Spacer pane -->
<td><img src="$B/img/pixel.png" border="0" height="1" width="15"></td>
<!-- Begin right pane -->

<!-- End right pane -->


</tr>

</table>

</td>
</tr>
</table>
<!-- End Content Stuff -->
</td>
</tr>

<tr>
<!-- Content Footer Offset (Spacer) -->
<td height="5"><img SRC="$B/img/pixel.png" WIDTH="1" HEIGHT="5" ALT="" BORDER="0"></td>
</tr>
</table>
<!-- End Content Spacer Table -->

</td>


</td>
<!-- End Content -->
</tr>
</table>
<!-- End Main Body -->


<!-- Begin Footer -->
<!-- Footer Spacer -->
<table width="800" border="0" cellspacing="0" cellpadding="0">
<tr>
<td><img SRC="$B/img/pixel.png" WIDTH="1" HEIGHT="2" ALT="" BORDER="0"></td>
</tr>
<tr>
<td bgcolor="black"><img SRC="$B/img/pixel.png" WIDTH="1" HEIGHT="1" ALT="" BORDER="0"></t
d>
</tr>
</table>

<!-- Footer -->
<table width="800" border="0" cellspacing="0" cellpadding="0">
<tr class="FooterBar">
<!-- Spacer -->
<td class="FooterBar" width="109"><img SRC="$B/img/pixel.png" WIDTH="109" HEIGHT="15" ALT="" BORDER="0"></td>
<td class="FooterBar">
<a href="about.php" class="FooterLink">About</a><span class="FooterDivider">&nbsp;&nbsp;|&nbsp;&nbsp;</span><a href="legal.php" class="FooterLink">Legal info</a><span class="FooterDivider">&nbsp;&nbsp;|&nbsp;&nbsp;</span><a href="contact/" class="FooterLink">Contact</a></td>
<td class="FooterBar" align="right">
</td>
<!-- Spacer -->
<td class="FooterBar" width="3"><img SRC="$B/img/pixel.png" WIDTH="3" HEIGHT="15" ALT="" BORDER="0"></td>
</tr>
</table>
<!-- End Footer -->


</td>
</tr>
</table>

</body>
</html>
	 ;

}

1;

__END__

=head1 AUTHOR

(C) 2004-2005 Eric Bollengier

You may reach me through the contact info at eric@eb.homelinux.org

=head1 LICENSE

    Part of the network scheduling system (Sched)
    Copyright (C) 2004-2005 Eric Bollengier
        All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=cut

